org.objenesis

## Class ObjenesisException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.objenesis.ObjenesisException

- All Implemented Interfaces:
    java.io.Serializable

      public class ObjenesisException
      extends java.lang.RuntimeException

  Exception thrown by Objenesis. It wraps any instantiation exceptions. Note that this exception is runtime to prevent having to catch it.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjenesisException(java.lang.String msg)`
    `ObjenesisException(java.lang.String msg, java.lang.Throwable cause)`
    `ObjenesisException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjenesisException

          public ObjenesisException(java.lang.String msg)

      Parameters:
        `msg` - Error message

    - #### ObjenesisException

          public ObjenesisException(java.lang.Throwable cause)

      Parameters:
        `cause` - Wrapped exception. The message will be the one of the cause.

    - #### ObjenesisException

          public ObjenesisException(java.lang.String msg,
                            java.lang.Throwable cause)

      Parameters:
        `msg` - Error message
        `cause` - Wrapped exception